"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _prismReactRenderer = _interopRequireWildcard(require("prism-react-renderer"));

var _duotoneLight = _interopRequireDefault(require("prism-react-renderer/themes/duotoneLight"));

var _styles = require("./styles");

var _global = require("../../helpers/global");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CodeSwitcher =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CodeSwitcher, _React$Component);

  function CodeSwitcher() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, CodeSwitcher);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(CodeSwitcher)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      selectedTab: 1
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onSelectTab", function (e) {
      var tab = e.currentTarget.getAttribute('data-tab');

      _this.setState({
        selectedTab: parseInt(tab)
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "renderTab", function (position, label) {
      return React.createElement(_styles.TabSelector, {
        bgTransparent: true,
        sizeSmall: true,
        textLight: true,
        marginRight: true,
        noPadding: true,
        weightNormal: true,
        fontSize: 15,
        className: _this.state.selectedTab === position ? 'active' : '',
        "data-tab": position,
        onClick: _this.onSelectTab
      }, label);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "renderTabContent", function (position, type) {
      var _this$props = _this.props,
          js = _this$props.js,
          styles = _this$props.styles;
      var selectedTab = _this.state.selectedTab;
      var content = type === 'js' ? js : styles;
      return React.createElement(_styles.SectionContent, {
        "data-key": position.toString(),
        className: "".concat(selectedTab === position ? 'well selected' : 'well absolute'),
        display: selectedTab === position
      }, React.createElement(_prismReactRenderer.default, _extends({}, _prismReactRenderer.defaultProps, {
        theme: _duotoneLight.default,
        code: content,
        language: "js",
        "data-key": position.toString(),
        className: "".concat(selectedTab === position ? 'well selected' : 'well absolute'),
        display: selectedTab === position
      }), function (_ref) {
        var className = _ref.className,
            style = _ref.style,
            tokens = _ref.tokens,
            getLineProps = _ref.getLineProps,
            getTokenProps = _ref.getTokenProps;
        return React.createElement(_styles.Pre, {
          className: className,
          style: style
        }, tokens.map(function (line, i) {
          return React.createElement("div", getLineProps({
            line: line,
            key: i
          }), React.createElement(_styles.LineNo, null, i + 1), line.map(function (token, key) {
            return React.createElement("span", getTokenProps({
              token: token,
              key: key
            }));
          }));
        }));
      }));
    });

    return _this;
  }

  _createClass(CodeSwitcher, [{
    key: "render",
    // Render
    value: function render() {
      return React.createElement(_global.Section, {
        padding: "0"
      }, React.createElement(_styles.TabGroup, null, this.renderTab(1, 'React'), this.renderTab(2, 'Styles')), React.createElement(_styles.ContentWell, null, this.renderTabContent(1, 'js'), this.renderTabContent(2, 'styles')));
    }
  }, {
    key: "__reactstandin__regenerateByEval",
    // @ts-ignore
    value: function __reactstandin__regenerateByEval(key, code) {
      // @ts-ignore
      this[key] = eval(code);
    }
  }]);

  return CodeSwitcher;
}(React.Component);

var _default = CodeSwitcher;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(CodeSwitcher, "CodeSwitcher", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/index.jsx");
  reactHotLoader.register(_default, "default", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/index.jsx");
  leaveModule(module);
})();

;