"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SectionContent = exports.ContentWell = exports.LineNo = exports.Pre = exports.TabSelector = exports.TabGroup = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _variables = require("../../helpers/variables");

var _global = require("../../helpers/global");

var _button = _interopRequireDefault(require("../button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * TabGroup
 * @type div
 */
var TabGroup = _styledComponents.default.div.withConfig({
  displayName: "styles__TabGroup",
  componentId: "u1vx7v-0"
})(["margin:2rem 0 1.5rem;"]);
/**
 * TabSelector
 * Sets styles to the tab items
 * @type Button
 */


exports.TabGroup = TabGroup;
var TabSelector = (0, _styledComponents.default)(_button.default).withConfig({
  displayName: "styles__TabSelector",
  componentId: "u1vx7v-1"
})(["border-radius:0;margin-right:16px;&.active{font-weight:700;color:", ";&:hover{color:", ";}}&:hover{color:", ";}"], _variables.SCHEME.primary, _variables.SCHEME.primary, _variables.COLORS.dark);
exports.TabSelector = TabSelector;

var Pre = _styledComponents.default.pre.withConfig({
  displayName: "styles__Pre",
  componentId: "u1vx7v-2"
})(["background:transparent !important;box-shadow:0 1px 3px #E6EBF1;border-radius:6px;text-align:left;margin:1rem 0;padding:1.5rem;&.token-line{line-height:1.3em;height:1.3em;}span{font-family:Inconsolata !important;font-size:18px !important;}"]);

exports.Pre = Pre;

var LineNo = _styledComponents.default.span.withConfig({
  displayName: "styles__LineNo",
  componentId: "u1vx7v-3"
})(["display:inline-block;width:2rem;user-select:none;opacity:0.3;"]);
/**
 * ContentWell
 * defines styles for content
 */


exports.LineNo = LineNo;

var ContentWell = _styledComponents.default.div.withConfig({
  displayName: "styles__ContentWell",
  componentId: "u1vx7v-4"
})(["background:", ";padding:0;border-radius:12px;height:auto;box-shadow:0 1px 3px #E6EBF1;transition:1.5s all ease-in;"], _variables.COLORS.white);
/**
 * SectionContent
 * @type Section
 */


exports.ContentWell = ContentWell;
var SectionContent = (0, _styledComponents.default)(_global.Section).withConfig({
  displayName: "styles__SectionContent",
  componentId: "u1vx7v-5"
})(["padding:0;transition:0.25s all ease-in;&.well.selected{opacity:0;transform:matrix3d(1,0,0,0,0,1,0,0,0,0,1,0,300,0,0,1);animation:slideFade 0.25s linear forwards;}&.well.absolute{position:absolute;z-index:-1;opacity:0;transform:matrix3d(1,0,0,0,0,1,0,0,0,0,1,0,300,0,0,1);}@keyframes slideFade{from{opacity:0;transform:matrix3d(1,0,0,0,0,1,0,0,0,0,1,0,300,0,0,1);}to{transform:matrix3d(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1);opacity:1;}}"]);
exports.SectionContent = SectionContent;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(TabGroup, "TabGroup", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  reactHotLoader.register(TabSelector, "TabSelector", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  reactHotLoader.register(Pre, "Pre", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  reactHotLoader.register(LineNo, "LineNo", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  reactHotLoader.register(ContentWell, "ContentWell", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  reactHotLoader.register(SectionContent, "SectionContent", "/Users/user1/Documents/projects/proponents/src/components/code-switcher/styles.js");
  leaveModule(module);
})();

;