"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavbarItem = exports.NavbarStart = exports.NavbarMenu = exports.Wordmark = exports.NavbarBrand = exports.Navbar = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactRouterDom = require("react-router-dom");

var _variables = require("../../helpers/variables");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * Navbar
 * Define styles for the navbar (container)
 * @type nav
 */
var Navbar = _styledComponents.default.nav.withConfig({
  displayName: "styles__Navbar",
  componentId: "sc-1of4pmo-0"
})(["position:fixed !important;z-index:10000;top:0;left:0;width:100%;height:75px;background:", ";box-shadow:0 1px 4px rgba(0,0,0,0.1);padding:1rem 2rem;"], _variables.COLORS.white);
/**
 * NavbarBrand
 * Define styles for the navbar brand
 * @type div
 */


exports.Navbar = Navbar;

var NavbarBrand = _styledComponents.default.div.withConfig({
  displayName: "styles__NavbarBrand",
  componentId: "sc-1of4pmo-1"
})(["display:inline-block;margin-right:8.5rem;"]);
/**
 * Wordmark
 * Styles the wordmark ("proponents") in navbar
 * @type h4
 */


exports.NavbarBrand = NavbarBrand;

var Wordmark = _styledComponents.default.h4.withConfig({
  displayName: "styles__Wordmark",
  componentId: "sc-1of4pmo-2"
})(["font:700 24px 'Carter One';color:", ";transition:0.25s all ease-in;&:hover{animation:zoomBounce 0.25s cubic-bezier(.24,.22,.015,1.56) forwards;}@keyframes zoomBounce{from{opacity:0.75;transform:scale(1);}to{color:", ";opacity:1;transform:scale(1.05);}}"], _variables.COLORS.dark, _variables.SCHEME.primary);
/**
 * NavbarMenu
 * Define styles for the navbar menu
 * @type div
 */


exports.Wordmark = Wordmark;

var NavbarMenu = _styledComponents.default.div.withConfig({
  displayName: "styles__NavbarMenu",
  componentId: "sc-1of4pmo-3"
})(["position:relative;top:-2px;display:inline-grid;grid-template-columns:1fr 1fr;padding:0 1rem;"]);
/**
 * NavbarStart
 * Define styles for the navbar start
 * @type div
 */


exports.NavbarMenu = NavbarMenu;

var NavbarStart = _styledComponents.default.div.withConfig({
  displayName: "styles__NavbarStart",
  componentId: "sc-1of4pmo-4"
})(["align-items:start;"]);
/**
 * NavbarItem
 * Define styles for the navbar link items
 * @type Link
 */


exports.NavbarStart = NavbarStart;
var NavbarItem = (0, _styledComponents.default)(_reactRouterDom.Link).withConfig({
  displayName: "styles__NavbarItem",
  componentId: "sc-1of4pmo-5"
})(["font:500 ", "px ", ";color:", ";padding:0 1rem;transition:0.15s all ease-in;&:hover{color:", ";}"], _variables.FONT.size - 4, _variables.FONT.family, _variables.COLORS.light, _variables.SCHEME.dark);
exports.NavbarItem = NavbarItem;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Navbar, "Navbar", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  reactHotLoader.register(NavbarBrand, "NavbarBrand", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  reactHotLoader.register(Wordmark, "Wordmark", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  reactHotLoader.register(NavbarMenu, "NavbarMenu", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  reactHotLoader.register(NavbarStart, "NavbarStart", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  reactHotLoader.register(NavbarItem, "NavbarItem", "/Users/user1/Documents/projects/proponents/src/components/navbar/styles.js");
  leaveModule(module);
})();

;