"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FONT = exports.ACTIONS = exports.COLORS = exports.SCHEME = void 0;

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * @name: Variables
 * @desc: Contains color scheme and default variables
 * for styling. Updating this will cause the styles
 * such as color or font to change.
 *
 * 
 */

/**
 * Local Variables
 */
// Scheme
var SCHEME = {
  primary: '#00B3FF',
  primaryLight: '#B3E8FF',
  secondary: '#FF1E80',
  gray: '#F7F8F9',
  dark: '#062849',
  shadow: '#EBECF2'
}; // Text Colors

exports.SCHEME = SCHEME;
var COLORS = {
  lighter: '#BFC2CC',
  light: '#878C9C',
  base: '#606374',
  dark: '#373F52',
  darker: '#262D38',
  white: '#FFFFFF'
}; // Actions Colors (Error, Success, etc.)

exports.COLORS = COLORS;
var ACTIONS = {
  success: '#2ECC71',
  error: '#FF3769',
  warning: '#FFB300',
  info: '#00B0FF'
}; // Font

exports.ACTIONS = ACTIONS;
var FONT = {
  family: "".concat(['SF Pro Text', 'sans-serif', '-apple-system', 'BlinkMacSystemFont', 'Helventica Neue', 'Roboto'].join(',')),
  size: 20
};
exports.FONT = FONT;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(SCHEME, "SCHEME", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  reactHotLoader.register(COLORS, "COLORS", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  reactHotLoader.register(ACTIONS, "ACTIONS", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  reactHotLoader.register(FONT, "FONT", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  leaveModule(module);
})();

;